summaryrefslogtreecommitdiffstats
path: root/streams/groove
diff options
context:
space:
mode:
Diffstat (limited to 'streams/groove')
-rwxr-xr-xstreams/groove27
1 files changed, 27 insertions, 0 deletions
diff --git a/streams/groove b/streams/groove
new file mode 100755
index 00000000..935a16d9
--- /dev/null
+++ b/streams/groove
@@ -0,0 +1,27 @@
+#! /bin/bash
+set -euf
+CMD="exec mplayer http://somafm.com/groovesalad.pls"
+function start() {
+ stop
+ tmux start-server
+ tmux new-session -d "$CMD"
+}
+function stop()
+{
+ pkill mplayer || :
+}
+
+case "$1" in
+ start)
+ start
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ *)
+ echo "aidsballs"
+ ;;
+esac